Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.application
Class ApplicationStatusBar

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.developmentontheedge.application.ApplicationStatusBar

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.image.ImageObserver, JobControlListener, java.awt.MenuContainer, java.io.Serializable

public class ApplicationStatusBar
extends javax.swing.JPanel
implements java.awt.event.ActionListener, JobControlListener

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ApplicationStatusBar()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)`
`protected int` | `getFontHeight()`
`java.awt.Dimension` | `getPreferredSize()`
`protected int` | `getWidth(java.lang.String s)`
`void` | `jobPaused(JobControlEvent event)` Invoked when job process is paused
`void` | `jobResumed(JobControlEvent event)` Invoked when job process is resumed after termination
`void` | `jobStarted(JobControlEvent event)` Invoked when job is started for the first time.
`void` | `jobTerminated(JobControlEvent event)` Invoked when job is terminated.
`void` | `resultsReady(JobControlEvent event)` Invoked when part of results is ready
`void` | `setMessage(java.lang.String message)`
`void` | `setValue(int n)`
`void` | `startProgressBar()`
`void` | `startProgressBar(java.lang.String msg)`
`void` | `stopImmediately()`
`void` | `stopImmediately(java.lang.String msg)`
`void` | `stopProgressBar()`
`void` | `stopProgressBar(java.lang.String msg)`
`void` | `valueChanged(JobControlEvent event)` Invoked when preparedness of job is changed.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplicationStatusBar

    public ApplicationStatusBar()

Method Detail

### getWidth

    protected int getWidth(java.lang.String s)

### getFontHeight

    protected int getFontHeight()

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

### setMessage

    public void setMessage(java.lang.String message)

### startProgressBar

    public void startProgressBar(java.lang.String msg)

### startProgressBar

    public void startProgressBar()

### setValue

    public void setValue(int n)

### stopImmediately

    public void stopImmediately()

### stopImmediately

    public void stopImmediately(java.lang.String msg)

### stopProgressBar

    public void stopProgressBar(java.lang.String msg)

### stopProgressBar

    public void stopProgressBar()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### valueChanged

    public void valueChanged(JobControlEvent event)

  Description copied from interface: `JobControlListener`
  Invoked when preparedness of job is changed. Use `event.getPreparedness()` for getting percent of job preparedness.

  Specified by:
    `valueChanged` in interface `JobControlListener`
  Parameters:
    `event` - corresponding event
  See Also:
    `JobControlEvent.getPreparedness()`

### jobStarted

    public void jobStarted(JobControlEvent event)

  Description copied from interface: `JobControlListener`
  Invoked when job is started for the first time.

  Specified by:
    `jobStarted` in interface `JobControlListener`
  Parameters:
    `event` - corresponding event

### jobTerminated

    public void jobTerminated(JobControlEvent event)

  Description copied from interface: `JobControlListener`
  Invoked when job is terminated.
  Use `event.getStatus()` for getting cause of termination.

  Specified by:
    `jobTerminated` in interface `JobControlListener`
  Parameters:
    `event` - corresponding event
  See Also:
    `JobControlEvent.getStatus()`

### jobPaused

    public void jobPaused(JobControlEvent event)

  Description copied from interface: `JobControlListener`
  Invoked when job process is paused

  Specified by:
    `jobPaused` in interface `JobControlListener`
  Parameters:
    `event` - corresponding event

### jobResumed

    public void jobResumed(JobControlEvent event)

  Description copied from interface: `JobControlListener`
  Invoked when job process is resumed after termination

  Specified by:
    `jobResumed` in interface `JobControlListener`
  Parameters:
    `event` - corresponding event

### resultsReady

    public void resultsReady(JobControlEvent event)

  Description copied from interface: `JobControlListener`
  Invoked when part of results is ready

  Specified by:
    `resultsReady` in interface `JobControlListener`
  Parameters:
    `event` - corresponding event

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.